Package: org.codehaus.groovy.transform

## [Java] Class LogASTTransformation.AbstractLoggingStrategy

- org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

- All Implemented Interfaces and Traits:
    LoggingStrategy

      public static abstract class LogASTTransformation.AbstractLoggingStrategy
      extends Object
      implements LoggingStrategy

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GroovyClassLoader` | `loader` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractLoggingStrategy(GroovyClassLoader loader)`
    `protected AbstractLoggingStrategy()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ClassNode` | `classNode(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final GroovyClassLoader loader

  - ### Constructor Detail

    - #### protected AbstractLoggingStrategy(GroovyClassLoader loader)

    - #### protected AbstractLoggingStrategy()

  - ### Method Detail

    - #### protected ClassNode classNode(String name)